Bug 204048 - CVE-2006-3918 Expect header XSS
CVE-2006-3918 Expect header XSS
Product: Stronghold Cross Platform
Classification: Retired
Component: apache (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark J. Cox (Product Security)
Stronghold Engineering List
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-08-25 05:17 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 10:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-25 05:17:42 EDT
In May 2006 a reporter found a bug in Apache where an invalid Expect header sent
to the server (Apache 1.3.3 onwards) would be returned to the user in an error
message, unescaped.  This could allow a cross-site scripting attack only if a
victim can tricked into connecting to a site and sending such a carefully
crafted Expect header.  Whist browsers do not provide this functionality, it was
recently discovered that Flash allows you to make a connection with arbitrary
headers.  The attack mechanism is therefore:

1. User is tricked into visiting a malicious web site with a flash-enabled browser
2. Malicious web site uses a flash movie to make a connection to the target site
with custom Expect header
3. This results in cross-site scripting (attacker could steal your cookies from
the third party site, or inject content etc)

On http 2.0 versions the cross-site scripting does not happen immediately, step 
is delayed until the Apache server times out.  On a default installation this
could be 2-5 minutes.  Therefore the attack is less likely to succeed.

http://svn.apache.org/viewcvs?rev=394965&view=rev [1.3]
http://svn.apache.org/viewcvs?rev=395172&view=rev [2.0]
Comment 1 Mark J. Cox (Product Security) 2006-09-05 10:02:04 EDT
errata support for sh4 cross-platform has ended

Note You need to log in before you can comment on or make changes to this bug.